mav_listItemsAdd(3)

NAME
mav_listItemsAdd - List management functions.

LEVEL
Maverik Level 1

SYNTAX
void mav_listItemsAdd(MAV_list *l, void *d1, void *d2);

void mav_listItemsRmv(MAV_list *l, void *d1, void *d2);

int mav_listItemsNext(MAV_list *l, void **d1, void **d2);

int mav_listItemsContains(MAV_list *l, void *d1, void *d2);

DESCRIPTION
MAV_list's are actually capable of storing two items of data per entry. The above functions are the two item versions of the list manipulation functions.

mav_listItemAdd(l, d) is equivalent to mav_listItemsAdd(l, d, NULL).

SEE ALSO
mav_listNew, mav_listItemAdd, mav_listItemRmv, mav_listItemNext, mav_listItemContains